lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "infopark_component_cache/version"

Gem::Specification.new do |gem|
  gem.name          = "infopark_component_cache"
  gem.version       = InfoparkComponentCache::VERSION
  gem.authors       = ["Tomasz Przedmojski, sveninfo"]
  gem.email         = ["tomasz.przedmojski@infopark.de"]
  gem.description   = "Easy and intelligent fragment caching for RailsConnector projects"
  gem.summary       = "Fragment caching with automatic dependency resolution and cache invalidation."
  gem.homepage      = "http://infopark.com"
  gem.license       = "LGPL-3.0"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.add_dependency "rails", "~> 5.0"

  gem.add_dependency "infopark_fiona_connector", "~> 7.0.1.5.2.3.rc5"

  gem.add_development_dependency "pry-byebug", "~> 3.9"
  gem.add_development_dependency "rspec-rails", "~> 3.5"
  gem.add_development_dependency "rubocop", "~> 0.87.1"
  gem.add_development_dependency "rubocop-performance", "~> 1.7"
  gem.add_development_dependency "rubocop-rspec", "~> 1.30"
  gem.add_development_dependency "sqlite3", "~> 1.3", ">= 1.3.6"
end
