ENV["RAILS_ENV"] ||= "test"
# Load dummy app
require File.expand_path("dummy/config/environment.rb", __dir__)
# Load rspec components
require "rspec/rails"
require "byebug"
# Nice backtraces
Rails.backtrace_cleaner.remove_silencers!
# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].sort.each { |f| require f }

# configure rspec
RSpec.configure do |config|
  config.mock_with :rspec
  config.use_transactional_fixtures = true
  config.infer_base_class_for_anonymous_controllers = false
  config.order = "random"
  config.extend CacheSwitchingMacros
  config.expect_with :rspec do |c|
    c.syntax = %i(should expect)
  end
  config.mock_with :rspec do |c|
    c.syntax = %i(should expect)
  end
  config.before do
    Rails.cache.clear
  end
end
