module CacheSwitchingMacros
  def enable_cache(trigger = :all)
    before(trigger) do
      @__perform_caching_before ||= []
      @__perform_caching_before.push Rails.application.config.action_controller.perform_caching
      Rails.application.config.action_controller.perform_caching = true
    end

    after(trigger) do
      @__perform_caching_before ||= []
      previous_setting = @__perform_caching_before.pop || false
      Rails.application.config.action_controller.perform_caching = previous_setting
    end
  end

  def disable_cache(trigger = :all)
    before(trigger) do
      @__perform_caching_before ||= []
      @__perform_caching_before.push Rails.application.config.action_controller.perform_caching
      Rails.application.config.action_controller.perform_caching = false
    end

    after(trigger) do
      @__perform_caching_before ||= []
      previous_setting = @__perform_caching_before.pop || false
      Rails.application.config.action_controller.perform_caching = previous_setting
    end
  end
end
